c      
       SUBROUTINE USDFLD(FIELD,STATEV,PNEWDT,DIRECT,T,CELENT,
     1 TIME,DTIME,CMNAME,ORNAME,NFIELD,NSTATV,NOEL,NPT,LAYER,
     2 KSPT,KSTEP,KINC,NDI,NSHR,COORD,JMAC,JMATYP,MATLAYO,LACCFLA)
c
c Every ABAQUS/Standard Subroutine must have the following statement
c
       INCLUDE 'ABA_PARAM.INC'                                              
c
c CMNAME = User-Specified material name, left justified
c ORNAME = User-Specified local orientation name, left justified
c
c     since the variable is initialize in declaration block .FALSE.
c     value will be set only for first USDFLD call.
c     since we have "save" parameter the variable will be not destroyed 
c     after USDFLD call.	  
c
       logical, save :: isFileOpen = .FALSE.
c
       CHARACTER*80 CMNAME,ORNAME
       CHARACTER*3  FLGRAY(15)
       DIMENSION FIELD(NFIELD),STATEV(NSTATV),DIRECT(3,3),T(3,3),TIME(2)
       DIMENSION ARRAY(15),JARRAY(15),JMAC(*),JMATYP(*),COORD(*)
       INTEGER, PARAMETER :: uSTATEV = 105
c                                                                             
c      user coding to define FIELD and, if necessary, STATEV and PNEWDT
c
c ~~ CALL VALUES FROM ABAQUS ~~
c
c Absolute value of current strain 'E'
c
       CALL GETVRM('E',ARRAY,JARRAY,FLGRAY,JRCD,JMAC,JMATYP,
     1 MATLAYO,LACCFLA)
       E11=ARRAY(1)
c   
c Use the strain as a field variable
c
       FIELD(1)=E11
c 
c Store the strain as a solution dependent state variable
c
       STATEV(1)=FIELD(1)
c
  101  FORMAT (F12.6)
c
c     is the file open?
C      if (105.NE.isFileOpen) then
       if (.not. isFileOpen) then
c       open external file
         open(unit=105, 
     1   file='C:\Temp\fem\eng_tips_save_to_ascii_file\STATEV.txt',
c Also tried to put the full path for the file above
     2   STATUS='NEW')
c       change file flag
         isFileOpen = .TRUE.
         end if
c
c     write data to STATEV.txt file
       write(105,'(F12.6)') statev(1)
         
c       OPEN (UNIT=uSTATEV,
c     1 FILE='STATEV.txt',
c Also tried to put the full path for the file above
c     2 STATUS='NEW') 
c	   WRITE (uSTATEV,101) STATEV(1)
c	   CLOSE (UNIT=uSTATEV) 											     
c
c       WRITE (1),STATEV(1)                                                  
c
c ~~ REPORTING AN ERROR IF IT OCCURS ~~
c
c If error, write comment to .DAT file:
c      
       IF(JRCD.NE.0)THEN
       WRITE(6,*) 'REQUEST ERROR IN USDFLD FOR ELEMENT NUMBER ',
     1      NOEL,'INTEGRATION POINT NUMBER ',NPT
c     
c       - Return Code (0 - no error, 1 - output request error or all components of output request are zero)
c    
      ENDIF
      RETURN
      END
